%global momorel 16
%global fontsdir %{_datadir}/fonts
%global config_sample_dir %{_datadir}/config-sample/%{name}

Summary: Font configuration and customization library
Name: fontconfig
Version: 2.4.2
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: MIT/X
URL: http://fontconfig.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: http://fontconfig.org/release/fontconfig-%{version}.tar.gz
NoSource: 0
# original Fedora's configuration files
Source1: 25-no-hint-fedora.conf
Source2: 30-aliases-fedora.conf
Source3: 40-generic-fedora.conf
Source4: 64-nonlatin-fedora.conf
Source5: 75-blacklist-fedora.conf
# modified Fedora's configuration files
Source6: 40-generic-fedora.conf.momonga
Source7: 66-nonlatin-fedora.conf.momonga
# Momonga configuration files
Source10: dot.fonts.conf
Source11: momonga-bitmaps.conf
Source12: momonga-blacklist.conf
Source13: momonga-font-dirs.conf
Source14: momonga-generic.conf
Source15: momonga-hinting.conf
Source16: momonga-nonlatin.conf
Source17: momonga.local.conf
Patch1: http://www.kde.gr.jp/~akito/patch/fontconfig/fontconfig-2.2.1/fontconfig-2.2.1-AppleRoman-DynaFont.patch
# from opensuse
Patch10: bugzilla-158573-turn-off-hinting-when-embolden.patch
BuildRequires: freetype-devel
BuildRequires: expat-devel >= 2.0.0-2m
BuildRequires: autoconf
BuildRequires: docbook-utils-pdf
BuildRequires: elinks
Conflicts: XFree86-libs < 4.3.0.1-3m
Conflicts: XFree86-tools < 4.3.0.1-3m

PreReq: freetype, coreutils
# Hebrew fonts referenced in fonts.conf changed names in fonts-hebrew-0.100
Conflicts: fonts-hebrew < 0.100
# Conflict with pre-modular X fonts, because they moved and we
# reference the new path in %%configure
Conflicts: fonts-xorg-base, fonts-xorg-syriac

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.

%package devel
Summary: Font configuration and customization library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: freetype-devel
Requires: pkgconfig
Conflicts: XFree86-devel < 4.3.0.1-3m

%description devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.

%prep
%setup -q

%patch1 -p1 -b .dynafont
%patch10 -p1 -b .bold-quality

%build
autoreconf -if
%configure --with-default-fonts=%{_datadir}/fonts \
           --with-add-fonts=%{_datadir}/X11/fonts/Type1,%{_datadir}/X11/fonts/TTF

# Work around weird elinks bug where elinks refuses to open the
# temporary html file generated by jade because it thinks it's a
# special file.  Only happens in beehive.
export ELINKS_CONFDIR=$PWD/elinks-conf
mkdir -p $ELINKS_CONFDIR
echo "set protocol.file.allow_special_files = 1" > $ELINKS_CONFDIR/elinks.conf

%make
make check

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# install Fedora config files
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/fonts/fedora-aliases.conf
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/fonts/fedora-generic.conf
install -m 0644 %{SOURCE7} %{buildroot}%{_sysconfdir}/fonts/fedora-nonlatin.conf

# install Momonga config files
install -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/fonts
install -m 0644 %{SOURCE12} %{buildroot}%{_sysconfdir}/fonts
install -m 0644 %{SOURCE13} %{buildroot}%{_sysconfdir}/fonts
install -m 0644 %{SOURCE14} %{buildroot}%{_sysconfdir}/fonts
install -m 0644 %{SOURCE15} %{buildroot}%{_sysconfdir}/fonts
install -m 0644 %{SOURCE16} %{buildroot}%{_sysconfdir}/fonts

# tune links in conf.d:
pushd %{buildroot}%{_sysconfdir}/fonts/conf.d
    ln -s ../fedora-aliases.conf 30-fedora-aliases.conf
    rm -f 40-generic.conf
    ln -s ../fedora-generic.conf 40-fedora-generic.conf
    ln -s ../momonga-generic.conf 41-generic.conf
    rm -f 50-user.conf
    rm -f 51-local.conf
    ln -s ../momonga-bitmaps.conf 50-momonga-bitmaps.conf
    ln -s ../momonga-hinting.conf 51-momonga-hinting.conf
    ln -s ../momonga-blacklist.conf 52-momonga-blacklist.conf
# # to avoid breaking anti-ailiasing (including %%{_datadir}/X11/fonts/{all-directories})
#    ln -s ../conf.avail/70-no-bitmaps.conf 53-no-bitmaps.conf
    ln -s ../conf.avail/51-local.conf 55-local.conf
    ln -s ../conf.avail/50-user.conf 56-user.conf
    rm -f 65-nonlatin.conf
    ln -s ../momonga-nonlatin.conf 65-nonlatin.conf
    ln -s ../fedora-nonlatin.conf 66-fedora-nonlatin.conf
popd

# install local.conf
install -m 644 %{SOURCE17} %{buildroot}%{_sysconfdir}/fonts/local.conf

# install config sample
mkdir -p %{buildroot}%{config_sample_dir}
install -m 644 %{SOURCE10} %{buildroot}%{config_sample_dir}

# don't package any files in the cache directory, only the directory itself:
rm -f %{buildroot}%{_localstatedir}/cache/fontconfig/*

# move installed doc files back to build directory to package themm
# in the right place
mv %{buildroot}%{_docdir}/fontconfig/* .
rmdir %{buildroot}%{_docdir}/fontconfig/

# All font packages depend on this package, so we create
# and own /usr/share/fonts
mkdir -p %{buildroot}%{_datadir}/fonts

# Remove unpackaged files
rm %{buildroot}%{_libdir}/*.la
rm %{buildroot}%{_libdir}/*.a

mkdir -p %{buildroot}%{fontsdir}
mkdir -p %{buildroot}%{fontsdir}/CID
mkdir -p %{buildroot}%{fontsdir}/type1
mkdir -p %{buildroot}%{fontsdir}/truetype

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%doc ChangeLog doc/fontconfig-user*
%{_libdir}/libfontconfig.so.*
%{_bindir}/fc-cache
%{_bindir}/fc-list
%{_bindir}/fc-match
%{_bindir}/fc-cat
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.avail
%dir %{_sysconfdir}/fonts/conf.d
%dir %{_datadir}/fonts
%{_sysconfdir}/fonts/fonts.dtd
%config %{_sysconfdir}/fonts/fedora-aliases.conf
%config %{_sysconfdir}/fonts/fedora-generic.conf
%config %{_sysconfdir}/fonts/fedora-nonlatin.conf
%config %{_sysconfdir}/fonts/fonts.conf
%config(noreplace) %{_sysconfdir}/fonts/local.conf
%config %{_sysconfdir}/fonts/momonga-bitmaps.conf
%config %{_sysconfdir}/fonts/momonga-blacklist.conf
%config %{_sysconfdir}/fonts/momonga-font-dirs.conf
%config %{_sysconfdir}/fonts/momonga-generic.conf
%config %{_sysconfdir}/fonts/momonga-hinting.conf
%config %{_sysconfdir}/fonts/momonga-nonlatin.conf
%doc %{_sysconfdir}/fonts/conf.avail/README
%config %{_sysconfdir}/fonts/conf.avail/*.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%dir %{_localstatedir}/cache/fontconfig
%{_mandir}/man1/*
%{_mandir}/man5/*

%{fontsdir}/CID
%{fontsdir}/type1
%{fontsdir}/truetype
%{config_sample_dir}

%files devel
%defattr(-, root, root)
%doc fontconfig-devel*
%{_libdir}/libfontconfig.so
%{_libdir}/pkgconfig/*
%{_includedir}/fontconfig
%{_mandir}/man3/*

%changelog
* Wed Jun 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-16m)
- fix momonga-blacklist.conf

* Wed Jun 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-15m)
- remove no-bitmaps.conf and update momonga-blacklist.conf for Armenian and Thai
- exculde %%{_datadir}/X11/non-ttf-directories to avoid breaking anti ailiasing without no-bitmaps.conf

* Wed Jun 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-14m)
- set fonts PATH to %%{_datadir}/fonts

* Fri Apr 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-13m)
- remove "rh_prefer_bitmaps" from momonga-hinting.conf

* Fri Apr 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-12m)
- modify momonga-hinting.conf (remove "pixelsize")

* Thu Apr 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-11m)
- clean up conf.d/

* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-10m)
- move momonga-blacklist.conf to 52 for local.conf and user.conf

* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-9m)
- add momonga-blacklist.conf

* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-8m)
- add momonga-alias.conf

* Mon Apr  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-7m)
- re-tune up for Momonga Linux

* Mon Apr  9 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-6m)
- sync fc 2.4.2-2

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-5m)
- BuildRequires: freetype2-devel -> freetype-devel

* Thu Jan 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-4m)
- import AppleRoman-DynaFont.patch from http://www.kde.gr.jp/~akito/
- remove merged slighthint.patch

* Tue Jan 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-3m)
- revive local.conf

* Mon Jan 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-2m)
- update momonga.fonts.conf
- modify %%files

* Mon Jan 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.2-1m)
- update 2.4.2

* Tue Oct 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.3-14m)
- delete libtool library

* Sat Aug 26 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.2.3-13m)
- rebuild against expat-2.0.0-1m

* Sun Jul  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.3-12m)
- M+1P+IPAG was added to momonga.fonts.conf. 
-- need anaconda graphical installer

* Sun Jul  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.3-11m)
- M+2P+IPAG was added to momonga.fonts.conf. 
-- need anaconda graphical installer

* Tue Jun 27 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.2.3-10m)
- now IPAPGothic/Mincho is default font

* Wed May 24 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.3-9m)
- revised momonga.fonts.conf to include directory "/usr/share/X11/fonts/TTF" from truetype-fonts-truetype

* Sat Apr 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.3-8m)
- add ~/.fonts to momonga.fonts.conf
- revise option of configure for new X

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.3-7m)
- update momonga.fonts.conf for new X

* Sun Mar 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.3-6m)
- "%%config fonts.conf" in %%files section to save old fonts.conf as .rpmsave. (Sometimes it is needed to modify fotns.conf, not local.conf.)

* Fri Apr  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.3-5m)
- modify momonga.fonts.conf to use hinting

* Fri Nov 19 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.3-4m)
- import patch4
  [Momonga-devel.ja:02906]
  thanks TetsuO.S.

* Sun Nov 14 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.3-3m)
- remake patch4
- add patch5

* Sat Nov 13 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.3-2m)
- create patch4.
- remove some patches.

* Sat Nov 13 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.3-1m)
- update to 2.3.5
- some patch from FC

* Tue Jul  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-8m)
- move antialias settings before loading user/local config files
  [Momonga-devel.ja:02613] thanks to Yoshiyuki Doi

* Sun Jun 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-7m)
- use sazanami instead of kochi by default

* Thu Apr  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-6m)
- revise momonga.fonts.conf for XFree86-4.3.0.2-3m

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.1-5m)
- revised spec for enabling rpm 4.2.

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.1-4m)
- specfile cleanup

* Fri Nov  7 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.2.1-3m)
- append patch1.

* Wed Oct 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-2m)
- change License: MIT to MIT/X for speclint
- fix files devel section warning 'File listed twice'

* Fri Aug 22 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.2.1-1m)
- update to 2.2.1
- patch0 forgery...

* Thu Aug 21 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.0-5m)
- hold /usr/share/fonts/CID, /usr/share/fonts/type1,
  and /usr/share/fonts/truetype.

* Wed Aug 20 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.0-4m)
- config_sample -> config-sample ([Momonga-devel-ja:02027]).

* Thu Aug  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.0-3m)
- Obsoletes: XFree86 < 4.3.0.1-3m -> Conflicts: XFree86 < 4.3.0.1-3m

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.0-2m)
- add config-sample.
- modify fonts.conf.
- obsoletes the old XFree86-{libs,devel,tools}.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.0-1m)
- separated from XFree86
- version up.
-* Fri Mar  7 2003 Mike A. Harris <mharris@redhat.com> 2.1.92-1
-- Removed man1/* and added man5/* to main package and man3/* to devel package
-- Added missing defattr(-, root, root) to main package
-- Added HTML and text development documentation to -devel subpackage
-
-* Wed Mar  5 2003 Mike A. Harris <mharris@redhat.com>
-- Added back the configure macro options --disable-docs because otherwise
-  fontconfig installs docs into /usr/share/doc/fontconfig (with no version
-  number) unconditionally, causing RPM to fail the build due to unpackaged
-  files terminate build
-
-* Wed Mar  5 2003 Mike A. Harris <mharris@redhat.com>
-- Removed commented out rpm macro define at top of spec file, replacing it with
-  a simple explanation, since rpm macros are expanded by rpm even in comments
-- Changed /usr/bin to _bindir in BuildRequires lines
-- Cleaned up rpm postinstall script, and made fc-cache use _bindir
-- Reorganized file manifest lists
-
-* Sun Mar  2 2003 Owen Taylor <otaylor@redhat.com>
-- Various improvements from Red Hat spec file
-
-* Sun Mar  2 2003 Mike A. Harris <mharris@redhat.com>
-- Initial changelog entry
